using System;
using System.Security.Cryptography;
using System.Text;

public partial class Criptografia : System.Web.UI.Page
{
    
    protected void Button1_Click(object sender, EventArgs e)
    {
        Response.Write(Criptografar("senha"));
    }

    private string Criptografar(string str)
    {
        byte[] dados = Encoding.UTF8.GetBytes(str);
        byte[] resultado;
        SHA1 shaM = new SHA1Managed();
        resultado = shaM.ComputeHash(dados);
        return BitConverter.ToString(resultado);
    }

}